#include <windows.h>

LRESULT CALLBACK WndProc(HWND hWnd, UINT message,
    WPARAM wParam, LPARAM lParam);

int WINAPI WinMain(HINSTANCE hCurrentInst,
    HINSTANCE hPrevInstance, PSTR lpszCmdLine,
    int nCmdShow)
{
    WNDCLASS wndClass;
    HWND hWnd;
    MSG msg;
	UINT width;
	UINT height;

    wndClass.style = CS_HREDRAW | CS_VREDRAW;
    wndClass.lpfnWndProc = WndProc;
    wndClass.cbClsExtra = 0;
    wndClass.cbWndExtra = 0;
    wndClass.hInstance = hCurrentInst;
    wndClass.hIcon = LoadIcon(NULL, IDI_APPLICATION);
    wndClass.hCursor = LoadCursor(NULL, IDC_ARROW);
    wndClass.hbrBackground = GetStockObject(WHITE_BRUSH);
    wndClass.lpszMenuName = NULL;
    wndClass.lpszClassName = "BasicDCApp";

    RegisterClass(&wndClass);

    width = GetSystemMetrics(SM_CXSCREEN) / 2;
    height = GetSystemMetrics(SM_CYSCREEN) / 2;

    hWnd = CreateWindow(
        "BasicDCApp",          /* Window class's name.    */
        "Basic DC Application",/* Title bar text.         */
        WS_OVERLAPPEDWINDOW,   /* The window's style.     */
        10,                    /* X position.             */
        10,                    /* Y position.             */
        width,                 /* Width.                  */
        height,                /* Height.                 */
        NULL,                  /* Parent window's handle. */
        NULL,                  /* Menu handle.            */
        hCurrentInst,          /* Instance handle.        */
        NULL);                 /* No additional data.     */

    ShowWindow(hWnd, nCmdShow);
    UpdateWindow(hWnd);

    while (GetMessage(&msg, NULL, 0, 0))
    {
        TranslateMessage(&msg);
        DispatchMessage(&msg);
    }

    return msg.wParam;
}

LRESULT CALLBACK WndProc(HWND hWnd, UINT message,
    WPARAM wParam, LPARAM lParam)
{
    HDC hDC;
	int xPos, yPos;

    switch(message)
    {
        case WM_LBUTTONDOWN:
			hDC = GetDC(hWnd);
            xPos = LOWORD(lParam);
            yPos = HIWORD(lParam);
			TextOut(hDC, xPos, yPos, "Click", 5);
			ReleaseDC(hWnd, hDC);
			return 0;

        case WM_DESTROY:
            PostQuitMessage(0);
            return 0;
    }

    return DefWindowProc(hWnd, message, wParam, lParam);
}
